MOUNT_PUFFS(8)

NAME
mount_puffs - helper utility for mounting puffs/refuse file systems

SYNOPSIS
mount_puffs [-o options] program[#source] mount_point

DESCRIPTION
The mount_puffs utility simply executes the given program, allowing to mount puffs(4) and refuse(3) based file systems via mount -a or the fstab(5) file.

This command is usually only executed by mount(8), as users can directly execute file servers to mount them. The program parameter is either the path to the file server or the file name of it. In the latter case the program is searched in the PATH variable. The source parameter, when specified, will be passed to the program as its first non-option argument, with mount_point being the second one.

The options are as follows:

-o  Options are specified with a -o flag followed by a comma separated string of options. They are passed to the program without any modifications except for getargs, which is typically used by mount -vv. When there is getargs in the list, mount_puffs discards all the other options and prints the kernel arguments for a puffs(4) file system already mounted at mount_point.

EXAMPLES
Mount dmesgfs at /dmesg:
    # mount_puffs dmesgfs /dmesg

Or in fstab(5):
    dmesgfs  /dmesg  puffs  rw

These are equivalent to:
    # dmesgfs /dmesg

Mount /usr/bin/rot13fs for /home/foo at /mnt/rot13 with option -o rdonly:
    # mount_puffs -o rdonly /usr/bin/rot13fs#/home/foo /mnt/rot13

Or in fstab(5):
    /usr/bin/rot13fs#/home/foo  /mnt/rot13  puffs  rdonly

These are equivalent to:
    # /usr/bin/rot13fs -o rdonly /home/foo /mnt/rot13

SEE ALSO
refuse(3), puffs(4), fusermount(8), mount(8)

HISTORY
The mount_puffs utility first appeared in NetBSD 6.0.